package com.akamai.ampdemo;

import com.akamai.amp.config.data.streamsense.StreamsenseAppData;
import com.akamai.amp.config.data.streamsense.StreamsenseData;
import com.akamai.amp.media.VideoPlayerView;
import com.akamai.amp.media.elements.AMPLibraryInfo;
import com.comscore.streaming.ContentMetadata;
import com.comscore.streaming.ContentType;

import java.util.HashMap;
import java.util.Map;

class StreamsenseHelper {

    private static final String APP_NAME = AMPLibraryInfo.NAME + " Comscore Streamsense Sample";
    private static final String APP_VERSION = AMPLibraryInfo.VERSION;
    private static final String PUBLISHER_ID = "1234567";
    private static final String PUBLISHER_SECRET = "7b94840eb66b17e61c3d2f909c3a1163";

    public static StreamsenseData buildStreamsenseData(VideoPlayerView videoPlayerView) {
        StreamsenseData data = new StreamsenseData(videoPlayerView);
        data.setAppData(buildStreamsenseAppData());
        data.setPersistentLabels(buildPersistentLabels());
        return data;
    }

    public static StreamsenseAppData buildStreamsenseAppData() {
        StreamsenseAppData streamsenseAppData = new StreamsenseAppData();
        streamsenseAppData.setAppName(APP_NAME);
        streamsenseAppData.setAppVersion(APP_VERSION);
        streamsenseAppData.setPublisherId(PUBLISHER_ID);
        streamsenseAppData.setPublisherSecret(PUBLISHER_SECRET);

        return streamsenseAppData;
    }

    private static Map<String, String> buildPersistentLabels() {
        Map<String, String> labels = new HashMap<>();
        labels.put("sample", "persistentLabel");
        return labels;
    }

    static ContentMetadata buildContentMetadata() {
        ContentMetadata cm = new ContentMetadata.Builder()
                .mediaType(ContentType.LONG_FORM_ON_DEMAND)
                .uniqueId("13784")
                .length(1418000) // 23m58s in milliseconds
                .dictionaryClassificationC3("*null")
                .dictionaryClassificationC4("*null")
                .dictionaryClassificationC6("*null")
                .stationTitle("Hulu")
                .publisherName("ABC")
                .programTitle("Modern Family")
                .genreName("Comedy")
                .classifyAsCompleteEpisode(true)
                .build();
        return cm;
    }

}
