package com.akamai.captioning.ampcaptioningsample;

import android.os.Bundle;
import androidx.fragment.app.FragmentManager;
import androidx.drawerlayout.widget.DrawerLayout;
import androidx.appcompat.app.AppCompatActivity;

import fragment.EIAFragment;
import fragment.WebVTTFragment;


public class MainActivity extends AppCompatActivity
        implements NavigationDrawerFragment.NavigationDrawerCallbacks {

    public final static String LICENSE = "nlDoHQXKOP1uO05-z737UD4Xmazu4a44m6QrX8hHNssgIOhfTX3PUonq6dOjudjTCFrXReiwYj6nShM_1L3zdw==";

    /**
     * Fragment managing the behaviors, interactions and presentation of the navigation drawer.
     */
    private NavigationDrawerFragment mNavigationDrawerFragment;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mNavigationDrawerFragment = (NavigationDrawerFragment)
                getSupportFragmentManager().findFragmentById(R.id.navigation_drawer);

        // Set up the drawer.
        mNavigationDrawerFragment.setUp(
                R.id.navigation_drawer,
                (DrawerLayout) findViewById(R.id.drawer_layout));
    }

    @Override
    public void onNavigationDrawerItemSelected(int position) {
        FragmentManager fragmentManager = getSupportFragmentManager();
        // update the main content by replacing fragments
        switch (position){
            case 0:

                fragmentManager.beginTransaction()
                        .replace(R.id.container, WebVTTFragment.newInstance())
                        .commit();
                break;
            case 1:

                fragmentManager.beginTransaction()
                        .replace(R.id.container, EIAFragment.newInstance())
                        .commit();
                break;
        }


    }
}
